Package ru.bitel.bgbilling.kernel.event.events

# Class ContractDeleteObjectEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.events.ContractDeleteObjectEvent

All Implemented Interfaces:
  `Serializable`

public class ContractDeleteObjectEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие - удаление объекта договора.
Вызывается после удаления объекта договора.
Унаследован от `QueueEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ContractDeleteObjectEvent()`
  ``
  `ContractDeleteObjectEvent(int userId, ContractObject obj)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractObject`
  `getContractObject()`
  Возвращает удаленный объект договора.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractDeleteObjectEvent

    protected ContractDeleteObjectEvent()

  - ### ContractDeleteObjectEvent

    public ContractDeleteObjectEvent(int userId, ContractObject obj)
    Конструктор события.
    Parameters:
      `userId` - - id пользователя, сгенерировавшего событие
      `obj` - - удаленный объект договора

- ## Method Details

  - ### getContractObject

    public ContractObject getContractObject()
    Возвращает удаленный объект договора.
    Returns:
      Payment cobj - объект договора